%global common_description %{expand:
WebOb provides wrappers around the WSGI request environment, and an object to help create WSGI
responses. The objects map much of the specified behavior of HTTP, including header parsing and
accessors for other standard parts of the environment.}

Summary:       WSGI request and response object
Name:          python-webob
Version:       1.8.7
Release:       5%{?dist}
License:       MIT
URL:           https://webob.org
Source0:       %pypi_source WebOb

Patch3000:     fix-python39-compat.patch

BuildRequires: python3-devel python3-setuptools python3-pytest

BuildArch:     noarch

%description
%{common_description}

%package -n python3-webob
Summary:        %{summary}
Provides: python3-webob1.2 = %{version}-%{release}

%description -n python3-webob
%{common_description}

%prep
%autosetup -n WebOb-%{version} -p1
rm -f tests/performance_test.py
rm docs/_static/.empty

%build
%py3_build

%install
%py3_install

%check
%pytest

%files -n python3-webob
%license docs/license.txt
%doc docs/*
%{python3_sitelib}/webob/
%{python3_sitelib}/WebOb-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.7-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.7-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.7-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 12 2023 Shuo Wang <abushwang@tencent.com> - 1.8.7-1
- initial build
